<div class="main-content-container container-fluid px-4">
  <div class="page-header row no-gutters py-4">
    <div class="col-12 col-sm-4 text-center text-sm-left mb-0">
      <span class="text-uppercase page-subtitle">Dashboard</span>
      <h3 class="page-title">Overview</h3>
    </div>
  </div>

  <div class="row">
    <div class="col-lg col-md-6 col-sm-6 mb-4">
    <%= link_to out_of_tats_staff_cases_path(), style: "text-decoration: none" do %>
      <div class="stats-small stats-small--1 card card-small">
        <div class="card-body p-0 d-flex">
          <div class="d-flex flex-column m-auto">
            <div class="stats-small__data text-center">
              <span class="stats-small__label text-uppercase">Out of TAT</span>
              <h6 class="stats-small__value count my-3"><%= Client.total_out_of_tats_count %></h6>
            </div>
          </div>
        </div>
      </div>
    <% end %>
    </div>
    <div class="col-lg col-md-6 col-sm-6 mb-4">
      <%= link_to tomorrow_tats_staff_cases_path(), style: "text-decoration: none" do %>
        <div class="stats-small stats-small--1 card card-small">
          <div class="card-body p-0 d-flex">
            <div class="d-flex flex-column m-auto">
              <div class="stats-small__data text-center">
                <span class="stats-small__label text-uppercase">1day to TAT</span>
                <h6 class="stats-small__value count my-3"><%= Client.total_tats_tomorrow_count %></h6>
              </div>
            </div>
          </div>
        </div>
      <% end %>
    </div>
    <div class="col-lg col-md-4 col-sm-6 mb-4">
      <%= link_to today_tats_staff_cases_path(), style: "text-decoration: none" do %>
        <div class="stats-small stats-small--1 card card-small">
          <div class="card-body p-0 d-flex">
            <div class="d-flex flex-column m-auto">
              <div class="stats-small__data text-center">
                <span class="stats-small__label text-uppercase">Today's TAT</span>
                <h6 class="stats-small__value count my-3"><%= Client.total_tats_today_count %></h6>
              </div>
            </div>
          </div>
        </div>
      <% end %>
    </div>
  </div>


  <div class="row">
    <div class="col-lg col-md-6 col-sm-6 mb-4">
      <%= link_to search_staff_cases_path(search: {status: 'open'}), style: "text-decoration: none" do %>
        <div class="stats-small stats-small--1 card card-small">
          <div class="card-body p-0 d-flex">
            <div class="d-flex flex-column m-auto">
                <div class="stats-small__data text-center">
                  <span class="stats-small__label text-uppercase">New Load</span>
                  <h6 class="stats-small__value count my-3"><%= @cases.where(status: "open").count %></h6>
                </div>
            </div>
          </div>
        </div>
      <% end %>
    </div>
    <div class="col-lg col-md-4 col-sm-6 mb-4">
      <%= link_to search_staff_cases_path(search: {status: 'in_progress'}), style: "text-decoration: none" do %>
        <div class="stats-small stats-small--1 card card-small">
          <div class="card-body p-0 d-flex">
            <div class="d-flex flex-column m-auto">
              <div class="stats-small__data text-center">
                <span class="stats-small__label text-uppercase">Current load</span>
                <h6 class="stats-small__value count my-3"><%= @cases.where(status: "in_progress").count %></h6>
              </div>
            </div>
          </div>
        </div>
      <% end %>
    </div>

    <div class="col-lg col-md-6 col-sm-6 mb-4">
      <%= link_to search_staff_cases_path(search: {status: 'verification_completed'}), style: "text-decoration: none" do %>
        <div class="stats-small stats-small--1 card card-small">
          <div class="card-body p-0 d-flex">
            <div class="d-flex flex-column m-auto">
              <div class="stats-small__data text-center">
                <span class="stats-small__label text-uppercase">Pending review</span>
                <h6 class="stats-small__value count my-3"><%= @cases.where(status: "verification_completed").count %></h6>
              </div>
            </div>
          </div>
        </div>
      <% end %>
    </div>

    <div class="col-lg col-md-6 col-sm-6 mb-4">
      <%= link_to search_staff_cases_path(search: {status: 'approved'}), style: "text-decoration: none" do %>
        <div class="stats-small stats-small--1 card card-small">
          <div class="card-body p-0 d-flex">
            <div class="d-flex flex-column m-auto">
              <div class="stats-small__data text-center">
                <span class="stats-small__label text-uppercase">Approved Cases</span>
                <h6 class="stats-small__value count my-3"><%= @cases.where(status: "approved").count %></h6>
              </div>
            </div>
          </div>
        </div>
      <% end %>
    </div>

  </div>

  <% if current_user.role == "admin" %>
  <div class="row">
    <div class="col-lg-6 col-md-12 col-sm-12 mb-4">
      <div class="card card-small">
        <div class="card-header border-bottom">
          <h6 class="m-0">Staffs</h6>
        </div>
        <div class="card-body">
           <table border="1px;" style="width: 500px; margin: auto;"> 
              <th>Name</th>
              <th>No of Cases Attended</th>
              <tbody>
                <% if @staffs.present? %>
                  <% @staffs.each do |s| %>
                  <td><%= link_to s.name, staffs_report_staff_dashboard_path(staff_id: s.id), style: "text-decoration: none"%></td>
                  <td><%= Case.where(staff_id: s.id, status: ["approved"]).count %></td>
                  <% end %>
                <% end %>
              </tbody>
            </table>
        </div>
      </div>
    </div>
    <div class="col-lg-6 col-md-6 col-sm-12 mb-4">
      <div class="card card-small h-100">
        <div class="card-header border-bottom">
          <h6 class="m-0">executives</h6>
        </div>
        <div class="card-body">
          <table border="1px;" style="width: 500px; margin: auto;"> 
              <th>Name</th>
              <th>No of Cases Attended</th>
              <tbody>
                <% if @executives.present? %>
                  <% @executives.each do |e| %>
                    <td>
                      <%= link_to e.name, executives_report_staff_dashboard_path(executive_id: e.id) %>
                    </td>
                    <td>
                      <%= Case.where(user_id: e.id, status: ["approved", "verification_completed"]).count %>
                    </td>
                    </div>
                  <% end %>
                <% end %>
              </tbody>
            </table>
        </div>
        <!--<div class="card-footer border-top">
          <div class="row">
            <div class="col">
              <select class="custom-select custom-select-sm" style="max-width: 130px;">
                <option selected="">Last Week</option>
                <option value="1">Today</option>
                <option value="2">Last Month</option>
              </select>
            </div>
            <div class="col text-right view-report">
              <a href="#">Full report →</a>
            </div>
          </div>
        </div>-->
      </div>
    </div>
  </div>
  <% end %>

</div>